ISCHROOT(1)

NAME
ischroot - erkennt, ob es innerhalb einer Chroot läuft

ÜBERSICHT
ischroot [--default-false] [--default-true] [--help] [--version]

BESCHREIBUNG

ischroot erkennt, ob es innerhalb einer Chroot läuft. Die Exit-Status sind:

0   falls es innerhalb einer Chroot läuft

1   falls es nicht innerhalb einer Chroot läuft

2   falls die Erkennung nicht möglich ist (auf GNU/Linux passiert dies, falls das Skript nicht als Root ausgeführt wird)

OPTIONEN

-f, --default-false
    mit Status 1 beenden, falls die Erkennung nicht möglich ist

-t, --default-true
    mit Status 0 beenden, falls die Erkennung nicht möglich ist

--help
    auf der Standardausgabe einen Benutzungshinweis anzeigen und erfolgreich beenden

--version
    auf der Standardausgabe Versionsinformationen anzeigen und erfolgreich beenden

FEHLER
Unter GNU/Linux ist die Chroot-Erkennung nur als Root möglich. Dies funktioniert unter GNU/Hurd und GNU/kFreeBSD korrekt.

ÜBERSETZUNG
Diese Übersetzung wurde 2011 von Helge Kreutzmann erstellt. Sie unterliegt der GNU GPL Version 2 (oder neuer). Um die englische Originalversion zu lesen, geben Sie »man -L C BEFEHL« ein. Fehler in der Übersetzung melden Sie bitte über die Fehlerdatenbank (BTS) von Debian oder indem Sie eine E-Mail an <debian-l10-german@lists.debian.org>, schreiben.